Skip to navigation

List documents associated with template

View as Markdown
Retrieves a list of documents associated with the specified template.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Query parameters

include_agreement_typestringOptional
include_is_editedstringOptional
include_tabsstringOptional
Reserved for Docusign.

Response

Successful response.
templateDocumentslist of objectsOptional
An array of document objects that contain information about the documents associated with the template.
templateIdstringOptional
The unique identifier of the template. If this is not provided, DocuSign will generate a value.

Errors

400
Bad Request Error